@echo off
rem spect_sample.bat
rem


rem  SPECT: Simple Portal-Enhancing Configuration Tool
rem  Copyright (C) 1999, 2000 Ray Ontko & Co.
rem  http://www.ontko.com/
rem
rem  This program is a simple-to-use configuration tool for Brio.Portal
rem  (formerly ReportMart).
rem
rem  "Brio.Portal" is a trademark of Brio Technology, http://www.brio.com/ .
rem 
rem 
rem  This program is free software; you can redistribute it and/or modify 
rem  it under the terms of the GNU General Public License as published by 
rem  the Free Software Foundation; either version 2 of the License, or 
rem  (at your option) any later version. 
rem 
rem  This program is distributed in the hope that it will be useful, but 
rem  WITHOUT ANY WARRANTY; without even the implied warranty of 
rem  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
rem  Public License for more details. 
rem 
rem  A copy of the GPL is available online the GNU web site: 
rem 
rem    http://www.gnu.org/copyleft/gpl.html
rem 


rem These three lines will need to be edited for your environment

rem This should have "lib" and "bin" under it
set JAVA_HOME=c:\jdk1.1.8

rem This should have "BrioPortal" (or "reportmart") and "lib" under it
set PORTAL_HOME=c:\BrioOne

rem The full path the the spect.jar file (from SPECT distribution)
set SPECT_JAR=c:\temp\spect\spect.jar

set CLASSPATH=%JAVA_HOME%\lib\classes.zip



rem These four lines may have to be edited based on the versions
rem of these files distributed in your version of Portal.
rem (You can look in the start_*.bat files in 
rem %PORTAL_HOME%/BrioPortal/bin to see what versions the 
rem services are using.)
set CLASSPATH=%CLASSPATH%;%PORTAL_HOME%\lib\ReportMart20.zip
set CLASSPATH=%CLASSPATH%;%PORTAL_HOME%\lib\rmapi20.jar
set CLASSPATH=%CLASSPATH%;%PORTAL_HOME%\lib\comutil.jar
set CLASSPATH=%CLASSPATH%;%PORTAL_HOME%\ONEIntegrator

java -classpath %CLASSPATH%;%SPECT_JAR% spect %1 %2 %3 %4 %5

